from typing import List, Dict, Set, Dict, Tuple, Optional, Any, Callable, Dict
from dataclasses import dataclass, field
# TODO pre-defined schema time for extracotrs
"""
Contains dataclases which represent Extractors and their configuration

"""

""" Cool ideas but maybe overkill
- What abotu multiple exctracotrs? Make attribute extractor attrivbute a luist of methods? People of can just write phat mehtods? Buy what about combing n
- white/black list based application of specific methods to specirfic keywords . 
- What if you want multiple output cols, one per extractor method? 

"""
from typing import List, Dict, Set, Dict, Tuple, Optional, Any,Union
from typing import Callable
from typing import List, Dict, Set, Dict, Tuple, Optional
from dataclasses import dataclass, field

"""
Contains dataclases which represent Extractors and their configuration

"""

# TODOD make this the UNIVERSE package!!!!

## TODO extra config for getting "to which sentence did chunk/x/y/z belong to?"
## TODO What abotu PARAMTERIXED extractor methods, like get_k_confidence for lang classifier??
@dataclass
class ComponentConstructorArgs:
    """
    Arguments for creating a NLU component

    """
    ## TODO pretty __repr__ or __to__string() method! Leverage  SparkNLPExtractor fields
    nlp_ref: str
    nlu_ref: str
    ins: List[str]  # Input/Output TYPE # TODO REFACTOR NAME
    outs: List[str]  # Input/Output TYPE# TODO REFACTOR NAME
    anno_class: str  # Input/Output TYPE # What annotator class is the model for ? IMMUTABLE
    model: List[Any]  # Any anno class. Needs to be Any, so we can cover unimported HC models
    lang: str = 'en'  # Input/Output TYPE
    get_default_model: str = True  # Input/Output TYPE  # Should load default model for this Component class? If true, will ignore nlu/nlp ref
    loaded_from_pretrained_pipe: [bool] = False
    is_licensed: bool = False
    check_anno_class: bool = True  # If input anno_class is not certain or not given, set to TRUE to resolve nlp_ref + nlu_ref to an annotator class. default TRUE
    reason : str = '' # Why was this component added to the pipe. TODO integrate/optional

@dataclass
class NLP_FEATURE:
    """
    NLP Feature aka Annotator Types
    """
    DOCUMENT: str = "document"
    TOKEN: str = "token"
    WORDPIECE: str = "wordpiece"
    WORD_EMBEDDINGS: str = "word_embeddings"
    SENTENCE_EMBEDDINGS: str = "sentence_embeddings"
    CATEGORY: str = "category"
    DATE: str = "date"
    ENTITY: str = "entity"
    SENTIMENT: str = "sentiment"
    POS: str = "pos"
    CHUNK: str = "chunk"
    NAMED_ENTITY: str = "named_entity"
    NEGEX: str = "negex"
    DEPENDENCY: str = "dependency"
    LABELED_DEPENDENCY: str = "labeled_dependency"
    LANGUAGE: str = "language"
    NODE: str = "node"
    DUMMY: str = "dummy"

@dataclass
class JslFeature:
    """
    A feature generated by JSL Annotator (OCR,NLP)
    """
    JslFeature: Union[NlpFeature,OcrFeature]

@dataclass
class FeatureNode: # or Mode Node?
    """Defines a Node in a ML Dependency Feature Graph.
    Anno= Node, In = In arrous, Out = out Arrows
    Each NLU Component will output one of these
    NODE = Anno Class
    INPUTS = Array of ML-Features
    OUTPUTS = Array of ML-Features

    Used to cast the pipeline dependency resolution algorithm into an abstract grpah
    """
    JSL_generator_anno_class : str # JSL Annotator that can generate this Triplet. Could be from OCR/JSL-Internal/Spark-NLP
    ins  : List[JslFeature] # JSL Annotator that can generate this Triplet
    outs : List[JslFeature] # JSL Annotator that can generate this Triplet



@dataclass
class OCR_ANNO: # or Mode Node?
    """All avaiable Feature nodes in OCR

    Used to cast the pipeline dependency resolution algorithm into an abstract grpah
    """
    # Visual Document Understanding
    VISUAL_DOCUMENT_CLASSIFIER = 'visual_document_classifier'
    VISUAL_DOCUMENT_NER = 'visual_document_NER'

    # Object Detection
    IMAGE_HANDWRITTEN_DETECTOR = 'image_handwritten_detector'

    # TABLE Processors/Recognition
    IMAGE_TABLE_DETECTOR = 'image_table_detector'
    IMAGE_TABLE_CELL_DETECTOR = 'image_table_cell_detector'
    IMAGE_TABLE_CELL2TEXT_TABLE = 'image_table_cell2text_table'

    #PDF Processing
    PDF2TEXT = 'pdf2text'
    PDF2IMAGE = 'pdf2image'
    IMAGE2PDF = 'image2pdf'
    TEXT2PDF = 'text2pdf'
    PDF_ASSEMBLER = 'pdf_assembler'
    PDF_DRAW_REGIONS = 'pdf_draw_regions'
    PDF2TEXT_TABLE = 'pdf2text_table'

    # DOCX Processing
    DOC2TEXT = 'doc2text'
    DOC2TEXT_TABLE = 'doc2text_table'
    DOC2PDF = 'doc2pdf'
    PPT2TEXT_TABLE = 'ppt2text_table'
    PPT2PDF = 'ppt2pdf'

    # DICOM Processing
    DICOM2IMAGE = 'dicom2image'
    IMAGE2DICOM = 'IMAGE2DICOM'

    # Image Pre-Processing
    BINARY2IMAGE = 'binary2image'
    GPU_IMAGE_TRANSFORMER = 'GPU_IMAGE_TRANSFORMER'
    IMAGE_BINARIZER = 'image_binarizer'
    IMAGE_ADAPTIVE_BINARIZER = 'image_adaptive_binarizer'
    IMAGE_ADAPTIVE_THRESHOLDING = 'image_adaptive_thresholding'
    IMAGE_SCALER = 'image_scaler'
    IMAGE_ADAPTIVE_SCALER = 'image_adaptive_scaler'
    IMAGE_SKEW_CORRECTOR = 'image_skew_corrector'
    IMAGE_NOISE_SCORER = 'image_noise_scorer'
    IMAGE_REMOVE_OBJECTS = 'image_remove_objects'
    IMAGE_MORPHOLOGY_OPERATION = 'image_morphology_operation'
    IMAGE_CROPPER = 'image_cropper'
    IMAGE2REGION = 'image2region'
    IMAGE_LAYOUT_ANALZYER = 'image_layout_analyzer'
    IMAGE_SPLIT_REGIONS = 'image_split_regions'
    IMAGE_DRAW_REGIONS = 'image_draw_regions'

    # Character Recognition
    IMAGE2TEXT = 'image2text'
    IMAGE2TEXTPDF = 'image2textpdf'
    IMAGE2HOCR = 'image2hocr'
    IMAGE_BRANDS2TEXT = 'image_brands2text'

    # Other
    POSITION_FINDER = 'position_finder'
    UPDATE_TEXT_POSITION = 'update_text_position'
    FOUNDATION_ONE_REPORT_PARSER = 'foundation_one_report_parser'
    HOCR_DOCUMENT_ASSEMBLER = 'hocr_document_assembler'
    HOCR_TOKENIZER = 'hocr_tokenizer'


@dataclass
class OcrFeature:
    """
    NLP Feature aka Annotator Types
    TODO
    """
    BINARY_PDF: str = "bin_pdf" # pdf2text -
    BINARY_PDF_PAGE: str = "bin_pdf_page" # just a page
    BINARY_DOCX: str = "bin_docx" # pdf2text -
    BINARY_DOCX_PAGE: str = "bin_docx_page" # just a page
    FILE_PATH: str = "path"


    TEXT: str = "text" # TODO should be same class as the spark NLP ones
    FALL_BACK: str = "fall_back" #
    OCR_IMAGE: str = "ocr_image" # OCR struct image representation
    OCR_POSITIONS: str = "ocr_positions" # OCR struct POSITION representation
    OCR_TEXT: str = "ocr_text" # raw text extracted by OCR anno like PDFtoImage
    OCR_TABLE: str = "ocr_table" # OCR extracted table
    PAGE_NUM: str = "page_num" #

@dataclass
class OcrFeatureNode: # or Mode Node?
    """A node representation for a Spark OCR Annotator
    Used to cast the pipeline dependency resolution algorithm into an abstract grpah
    """
    # TODO quickfix str remove
    node : Union[OCR_ANNO,str] # JSL Annotator that can generate this Triplet. Could be from OCR/JSL-Internal/Spark-NLP
    ins  : List[Union[JslFeature, OcrFeature,str]] # JSL Annotator that can generate this Triplet
    outs : List[Union[JslFeature, OcrFeature,str]] # JSL Annotator that can generate this Triplet
# PAGES ARE LIKE TOKENS!! Book is full document!
@dataclass
class OCR_NODES: # or Mode Node?
    """All avaiable Feature nodes in OCR
    Used to cast the pipeline dependency resolution algorithm into an abstract grpah
    """

    # Visual Document Understanding
    VISUAL_DOCUMENT_CLASSIFIER = 'visual_document_classifier'
    VISUAL_DOCUMENT_NER = 'visual_document_NER'

    # Object Detection
    IMAGE_HANDWRITTEN_DETECTOR = 'image_handwritten_detector'

    # TABLE Processors/Recognition
    IMAGE_TABLE_DETECTOR = 'image_table_detector'
    IMAGE_TABLE_CELL_DETECTOR = 'image_table_cell_detector'
    IMAGE_TABLE_CELL2TEXT_TABLE = 'image_table_cell2text_table'

    #PDF Processing
    PDF2TEXT = OcrFeatureNode(OCR_ANNO.PDF2TEXT, [OcrFeature.BINARY_PDF, OcrFeature.FILE_PATH], [OcrFeature.TEXT,OcrFeature.PAGE_NUM])
    PDF2IMAGE = OcrFeatureNode(OCR_ANNO.PDF2IMAGE, [OcrFeature.BINARY_PDF, OcrFeature.FILE_PATH, OcrFeature.FALL_BACK], [OcrFeature.OCR_IMAGE,OcrFeature.PAGE_NUM])
    IMAGE2PDF = OcrFeatureNode(OCR_ANNO.IMAGE2PDF, [OcrFeature.OCR_IMAGE, OcrFeature.FILE_PATH], [OcrFeature.BINARY_PDF])
    TEXT2PDF = OcrFeatureNode(OCR_ANNO.TEXT2PDF, [ OcrFeature.OCR_POSITIONS,OcrFeature.OCR_IMAGE, OcrFeature.OCR_TEXT,OcrFeature.FILE_PATH, OcrFeature.BINARY_PDF ], [OcrFeature.BINARY_PDF])
    PDF_ASSEMBLER = OcrFeatureNode(OCR_ANNO.PDF_ASSEMBLER, [ OcrFeature.BINARY_PDF_PAGE,OcrFeature.FILE_PATH, OcrFeature.PAGE_NUM], [OcrFeature.BINARY_PDF])
    PDF_DRAW_REGIONS = OcrFeatureNode(OCR_ANNO.PDF_DRAW_REGIONS, [ OcrFeature.BINARY_PDF,OcrFeature.FILE_PATH, OcrFeature.OCR_POSITIONS], [OcrFeature.BINARY_PDF])
    PDF2TEXT_TABLE = OcrFeatureNode(OCR_ANNO.PDF2TEXT_TABLE, [ OcrFeature.BINARY_PDF,OcrFeature.FILE_PATH,], [OcrFeature.OCR_TABLE])

    # DOCX Processing
    DOC2TEXT = OcrFeatureNode(OCR_ANNO.DOC2TEXT, [ OcrFeature.BINARY_DOCX,OcrFeature.FILE_PATH,], [OcrFeature.TEXT,OcrFeature.PAGE_NUM])
    DOC2TEXT_TABLE = OcrFeatureNode(OCR_ANNO.DOC2TEXT_TABLE, [ OcrFeature.BINARY_DOCX,OcrFeature.FILE_PATH], [OcrFeature.TEXT,OcrFeature.PAGE_NUM])
    DOC2PDF = 'doc2pdf'
    PPT2TEXT_TABLE = 'ppt2text_table'
    PPT2PDF = 'ppt2pdf'

    # DICOM Processing
    DICOM2IMAGE = 'dicom2image'
    IMAGE2DICOM = 'IMAGE2DICOM'

    # Image Pre-Processing
    BINARY2IMAGE = 'binary2image'
    GPU_IMAGE_TRANSFORMER = 'GPU_IMAGE_TRANSFORMER'
    IMAGE_BINARIZER = 'image_binarizer'
    IMAGE_ADAPTIVE_BINARIZER = 'image_adaptive_binarizer'
    IMAGE_ADAPTIVE_THRESHOLDING = 'image_adaptive_thresholding'
    IMAGE_SCALER = 'image_scaler'
    IMAGE_ADAPTIVE_SCALER = 'image_adaptive_scaler'
    IMAGE_SKEW_CORRECTOR = 'image_skew_corrector'
    IMAGE_NOISE_SCORER = 'image_noise_scorer'
    IMAGE_REMOVE_OBJECTS = 'image_remove_objects'
    IMAGE_MORPHOLOGY_OPERATION = 'image_morphology_operation'
    IMAGE_CROPPER = 'image_cropper'
    IMAGE2REGION = 'image2region'
    IMAGE_LAYOUT_ANALZYER = 'image_layout_analyzer'
    IMAGE_SPLIT_REGIONS = 'image_split_regions'
    IMAGE_DRAW_REGIONS = 'image_draw_regions'

    # Character Recognition
    IMAGE2TEXT = 'image2text'
    IMAGE2TEXTPDF = 'image2textpdf'
    IMAGE2HOCR = 'image2hocr'
    IMAGE_BRANDS2TEXT = 'image_brands2text'

    # Other
    POSITION_FINDER = 'position_finder'
    UPDATE_TEXT_POSITION = 'update_text_position'
    FOUNDATION_ONE_REPORT_PARSER = 'foundation_one_report_parser'
    HOCR_DOCUMENT_ASSEMBLER = 'hocr_document_assembler'
    HOCR_TOKENIZER = 'hocr_tokenizer'
















"""OCR NOTES


Ultimate DAG Structure
DAG algo basically keeps adding dependencies and exploring until reaching
TEXT which is BEGINNING of path

We should be FIRST computing the path, then optimize (double crossings etc..)
and then physically invoke it 



## PDF PRocessing
Pdf2Text : text+path -> text+pagenum


Col Types


#teamcity[testStdErr timestamp='2021-10-27T05:42:38.436' flowId='bert_for_token_classification_test
s.BertForTokenClassificationTests.test_deidentification' locationHint='python</home/c
kl/Documents/freelance/jsl/nlu/nlu4realgit2/tests/nlu_core_tests/component_tests/transformer_fo
r_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificati
onTests.test_deidentification' name='test_deidentification' nodeId='3' out='py4j.protocol.Py4
JJavaError: An error occurred while calling o10132.showString.|n: java.lang.StackOverflowError|n	
at scala.collection.immutable.List.foreach(List.scala:392)|n
	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNo' parentNodeId='2']


s = """
##teamcity[testStdErr timestamp='2021-10-28T00:00:01.469' flowId='bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' locationHint='python</home/ckl/Documents/freelance/jsl/nlu/nlu4realgit2/tests/nlu_core_tests/component_tests/transformer_for_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' name='test_deidentification' nodeId='3' out='py4j.protocol.Py4JJavaError: An error occurred while calling o10131.showString.|n: java.lang.StackOverflowError|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.sca' parentNodeId='2']
##teamcity[testStdErr timestamp='2021-10-28T00:00:01.478' flowId='bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' locationHint='python</home/ckl/Documents/freelance/jsl/nlu/nlu4realgit2/tests/nlu_core_tests/component_tests/transformer_for_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' name='test_deidentification' nodeId='3' out='la:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n|n' parentNodeId='2']
"""










##teamcity[testStdErr timestamp='2021-10-27T05:42:38.444' flowId='
bert_for_token_classification_tests.BertForTokenClassificationTests.test_deid
entification' locationHint='python</home/ckl/Documents/freelance/jsl/nlu/nlu4realg

it2/tests/nlu_core_tests/component_tests/transformer_for_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' name='test_deidentification' nodeId='3' out='de.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n	at scala.collection.immutable.List.foreach(List.scala:392)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.foreachUp(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1(TreeNode.scala:183)|n	at org.apache.spark.sql.catalyst.trees.TreeNode.$anonfun$foreachUp$1$adapted(TreeNode.scala:183)|n|n' parentNodeId='2']
Out[15]: 1



s = """
##teamcity[testStdErr timestamp='2021-10-27T23:14:01.193' flowId='bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' locationHint='python</home/ckl/Documents/freelance/jsl/nlu/nlu4realgit2/tests/nlu_core_tests/component_tests/transformer_for_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' name='test_deidentification' nodeId='3' out='py4j.protocol.Py4JJavaError: An error occurred while calling o10131.showString.|n: java.lang.StackOverflowError|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at o' parentNodeId='2']
##teamcity[testStdErr timestamp='2021-10-27T23:14:01.200' flowId='bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' locationHint='python</home/ckl/Documents/freelance/jsl/nlu/nlu4realgit2/tests/nlu_core_tests/component_tests/transformer_for_tokenclassification_tests>://bert_for_token_classification_tests.BertForTokenClassificationTests.test_deidentification' name='test_deidentification' nodeId='3' out='rg.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n	at scala.collection.LinearSeqOptimized.exists$(LinearSeqOptimized.scala:92)|n	at scala.collection.immutable.List.exists(List.scala:89)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.isStreaming(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1(LogicalPlan.scala:43)|n	at org.apache.spark.sql.catalyst.plans.logical.LogicalPlan.$anonfun$isStreaming$1$adapted(LogicalPlan.scala:43)|n	at scala.collection.LinearSeqOptimized.exists(LinearSeqOptimized.scala:95)|n|n' parentNodeId='2']
"""


data = [("James, A, Smith","2018","M",3000),
        ("Michael, Rose, Jones","2010","M",4000),
        ("Robert,K,Williams","2010","M",4000),
        ("Maria,Anne,Jones","2005","F",4000),
        ("Jen,Mary,Brown","2010","",-1)
        ]

import sparknlp
spark = sparknlp.start()
columns=["text","dob_year","gender","salary"]
df=spark.createDataFrame(data,columns)
pipe.transform(df).show()
df.printSchema()
p = ComponentUtils.set_storage_ref_attribute_of_embedding_converters(PipeUtils.set_column_values_on_components_from_pretrained_pipe(constructed_components, nlp_ref, language))
stages = [c.model for c in p]
f_pipe = Pipeline(stages=cz).fit(df)
r = f_pipe.transform(df)
r.show()



"""

